ランタイム: Mix Namespace Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Namespaces | Classes | Typedefs | Enumerations | Functions
Mix Namespace Reference

ミックス More...

## Namespaces

| Dynamics
| ダイナミクス
| Geometry
| ジオメトリ
| Graphics
| グラフィックス
| HID
| ヒューマンインターフェースデバイス
| IO
| 入出力
| Memory
| メモリ
| Parallel
| パラレル
| Scene
| シーン
| Sound
| サウンド

## Classes

class | AtomicValue
| アトミック変数クラス More...
class | CriticalSection
| クリティカルセクションクラス More...
struct | ENGINE_CONFIG
| エンジン設定構造体 More...
class | Event
| イベントクラス More...
class | IEngine
| エンジンインターフェース More...
class | Matrix3x3
| 3x3行列クラス More...
class | Matrix4x4
| 4x4行列クラス More...
class | Module
| モジィールクラス More...
class | MultipleEvent
| 複数イベントクラス More...
class | Noncopyable
| コピー禁止クラス More...
class | Point
| ポイントクラス More...
class | Quaternion
| クォータニオンクラス More...
class | Rectangle
| 矩形クラス More...
class | RectangleF
| 浮動小数点型矩形クラス More...
class | Reference
| リファレンスクラス More...
class | ScopedLock
| スコープクラス More...
class | Semaphore
| セマフォクラス More...
class | StringA
| 文字列クラス( マルチバイト ) More...
class | StringW
| 文字列クラス( ユニコード ) More...
class | Thread
| スレッドクラス More...
class | Timer
| タイマークラス More...
class | Vector2
| 2次元浮動小数点ベクトルクラス More...
class | Vector3
| 3次元浮動小数点ベクトルクラス More...
class | Vector4
| 4次元浮動小数点ベクトルクラス More...

## Typedefs

typedef void __stdcall | MessageProc(HWND hWnd, UInt32 message, WPARAM wParam, LPARAM lParam, void *pData)
| メッセージプロシージャー More...
typedef MessageProc * | MessageProcPtr
| Mix::MessageProc のポインタ More...
typedef StringW | String
| 文字列 More...
typedef std::vector< Mix::StringA, Mix::Memory::STLAllocator< Mix::Memory::SECTION_GENERAL, Mix::StringA > > | StringListA
| マルチバイト文字列リスト More...
typedef std::vector< Mix::StringW, Mix::Memory::STLAllocator< Mix::Memory::SECTION_GENERAL, Mix::StringW > > | StringListW
| ワイド文字列リスト More...
typedef StringListW | StringList
| 文字列リスト More...

## Enumerations

enum

ENGINE_CONFIG_FLAG {
EC_IO_NARROW = 0x00000001, EC_KEYBOARD = 0x00000002, EC_MOUSE = 0x00000004, EC_GAMEPAD = 0x00000008,
EC_HID = EC_KEYBOARD | EC_MOUSE | EC_GAMEPAD, EC_GRAPHICS = 0x00000010, EC_SOUND = 0x00000020, EC_DYNAMICS = 0x00000040,
EC_PARALLEL = 0x00000080, EC_SCENE = 0x00000100, EC_ALL = EC_IO_NARROW | EC_HID | EC_GRAPHICS | EC_SOUND | EC_DYNAMICS | EC_PARALLEL | EC_SCENE
}

## Functions

_MIX_DLL_API Boolean | Initialize (const Mix::ENGINE_CONFIG &config)
| Mixを初期化します More...
_MIX_DLL_API void | Finalize (void)
| Mixを終了します More...
_MIX_DLL_API HINSTANCE | GetInstanceHandle (void)
| インスタンスのハンドルを取得します More...
_MIX_DLL_API Mix::IEngine * | GetEnginePtr (void)
| エンジンのポインタを取得します More...
_MIX_DLL_API Boolean | GetEngine (Mix::IEngine **ppEngine)
| エンジンを取得します More...
_MIX_DLL_API Int32 | Sign (Int32 value)
| 整数の符号を取得します More...
_MIX_DLL_API Float32 | SignF (Float32 value)
| 浮動小数点の符号を取得します More...
_MIX_DLL_API Float32 | SqrtF (const Float32 &value)
| 浮動小数点の平方根を取得します More...
_MIX_DLL_API Float32 | InvF (Float32 value)
| 浮動小数点の逆数を取得します More...
_MIX_DLL_API Float32 | InvSqrtF (Float32 value)
| 浮動小数点の平方根の逆数を取得します More...
_MIX_DLL_API void | InitRand (void)
| 乱数を初期化します More...
_MIX_DLL_API void | InitRand (UInt32 seed)
| 乱数を初期化します More...
_MIX_DLL_API void | InitRand (UInt32 *seeds, UInt32 numSeed)
| 乱数を初期化します More...
_MIX_DLL_API UInt32 | Rand (void)
| 整数の乱数を取得します More...
_MIX_DLL_API UInt32 | Rand (UInt32 maxRnd)
| 整数の乱数を取得します More...
_MIX_DLL_API UInt32 | Rand (UInt32 r0, UInt32 r1)
| 整数の乱数を取得します More...
_MIX_DLL_API Float32 | RandF (void)
| 浮動小数点の乱数( 0.0f〜1.0f )を取得します More...
_MIX_DLL_API Float32 | RandF (Float32 maxRnd)
| 浮動小数点の乱数を取得します More...
_MIX_DLL_API Float32 | RandF (Float32 r0, Float32 r1)
| 浮動小数点の乱数を取得します More...
_MIX_DLL_API Float32 | LerpF (Float32 a, Float32 b, Float32 t)
| 浮動小数点の線形補間をします More...
_MIX_DLL_API void | PlaneSpace (const Mix::Vector3 &n, Mix::Vector3 &p, Mix::Vector3 &q)
| 指定されたベクトルから２本の垂直なベクトルを求めます More...
_MIX_DLL_API Mix::Quaternion | ShortestArc (const Mix::Vector3 &v0, const Mix::Vector3 &v1)
| 指定された直行する２本のベクトルから最短の回転を求めます More...
_MIX_DLL_API Mix::Vector3 | Project (const Mix::Matrix4x4 &viewMat, const Mix::Matrix4x4 &projMat, const Mix::Vector3 &worldPos, const Mix::Vector2 &screenSize)
| ワールド座標をスクリーン座標へ変換します More...
_MIX_DLL_API Mix::Vector3 | Unproject (const Mix::Matrix4x4 &viewMat, const Mix::Matrix4x4 &projMat, const Mix::Vector3 &screenPos, const Mix::Vector2 &screenSize)
| スクリーン座標をワールド座標へ変換します More...

## Detailed Description

ミックス

## Typedef Documentation

void Mix::MessageProc

メッセージプロシージャー

Parameters

  hWnd | ウィインドウハンドル
  message | メッセージ
  wParam | メッセージの追加データ 1
  lParam | メッセージの追加データ 2
  pData | データ

Mix::MessageProcPtr

Mix::MessageProc のポインタ

Mix::String

文字列

Mix::StringListA

マルチバイト文字列リスト

Mix::StringListW

ワイド文字列リスト

Mix::StringList

文字列リスト

## Enumeration Type Documentation

enum Mix::ENGINE_CONFIG_FLAG

Enumerator

EC_IO_NARROW

入出力 ( Mix::IO ) をマウントされた、ファイル、ディレクトリに限定する

Note
  このフラグを指定しなかった場合は、以下のメソッドは機能しません。
  Mix::IO::IManager::MountArchive
  Mix::IO::IManager::MountDirectory
  Mix::IO::IManager::MountFile

EC_KEYBOARD | キーボード ( Mix::HID::IKeyboard ) を使用する
EC_MOUSE | マウス ( Mix::HID::IMouse ) を使用する
EC_GAMEPAD | ゲームパッド ( Mix::HID::IGamepad ) を使用する
EC_HID | ヒューマンインターフェースデバイス ( Mix::HID ) を使用する
EC_GRAPHICS | グラフィックス ( Mix::Graphics ) を使用する
EC_SOUND | サウンド ( Mix::Sound ) を使用する
EC_DYNAMICS | ダイナミクス ( Mix::Dynamics ) を使用する
EC_PARALLEL | 並列処理 ( Mix::Parallel ) を使用する
EC_SCENE | シーン ( Mix::Scene ) を使用する
EC_ALL | 全てを使用する

## Function Documentation

_MIX_DLL_API Boolean Mix::Initialize | ( | const Mix::ENGINE_CONFIG & | config | ) |

Mixを初期化します

Returns
  成功した場合は True を返します

_MIX_DLL_API void Mix::Finalize | ( | void |  | ) |

Mixを終了します

_MIX_DLL_API HINSTANCE Mix::GetInstanceHandle | ( | void |  | ) |

インスタンスのハンドルを取得します

Returns
  ハンドルを返します

_MIX_DLL_API Mix::IEngine* Mix::GetEnginePtr | ( | void |  | ) |

エンジンのポインタを取得します

Returns
  エンジンのポインタを表す Mix::IEngine インターフェースのポインタを返します

_MIX_DLL_API Boolean Mix::GetEngine | ( | Mix::IEngine ** | ppEngine | ) |

エンジンを取得します

Parameters

  [out] | ppEngine | エンジンを表す Mix::IEngine インターフェースのポインタのアドレス

Note
  取得したエンジンは参照カウンタを +1 します。

_MIX_DLL_API Int32 Mix::Sign | ( | Int32 | value | ) |

整数の符号を取得します

Parameters

  [in] | value | 符号を判定する値

Returns
  整数の符号を返します

_MIX_DLL_API Float32 Mix::SignF | ( | Float32 | value | ) |

浮動小数点の符号を取得します

Parameters

  [in] | value | 符号を判定する値

Returns
  浮動小数点の符号を返します

_MIX_DLL_API Float32 Mix::SqrtF | ( | const Float32 & | value | ) |

浮動小数点の平方根を取得します

Parameters

  [in] | value | 平方根を求める値

Returns
  浮動小数点の平方根を返します

_MIX_DLL_API Float32 Mix::InvF | ( | Float32 | value | ) |

浮動小数点の逆数を取得します

Parameters

  [in] | value | 逆数を求める値

Returns
  逆数を返します

_MIX_DLL_API Float32 Mix::InvSqrtF | ( | Float32 | value | ) |

浮動小数点の平方根の逆数を取得します

Parameters

  [in] | value | 平方根の逆数を求める値

Returns
  平方根の逆数を返します

_MIX_DLL_API void Mix::InitRand | ( | void |  | ) |

乱数を初期化します

_MIX_DLL_API void Mix::InitRand | ( | UInt32 | seed | ) |

乱数を初期化します

Parameters

  [in] | seed | 乱数のもとになる数字

_MIX_DLL_API void Mix::InitRand | ( | UInt32 * | seeds,
|  | UInt32 | numSeed
| ) |  |

乱数を初期化します

Parameters

  [in] | seeds | 乱数のもとになる数字の配列
  [in] | numSeed | 乱数のもとになる数字の配列の要素の数

_MIX_DLL_API UInt32 Mix::Rand | ( | void |  | ) |

整数の乱数を取得します

Returns
  整数の乱数を返します

_MIX_DLL_API UInt32 Mix::Rand | ( | UInt32 | maxRnd | ) |

整数の乱数を取得します

Parameters

  [in] | maxRnd | 取得する乱数の最大値

Returns
  整数の乱数を返します

_MIX_DLL_API UInt32 Mix::Rand | ( | UInt32 | r0,
|  | UInt32 | r1
| ) |  |

整数の乱数を取得します

Parameters

  [in] | r0 | 取得する乱数の開始値
  [in] | r1 | 取得する乱数の終了値

Returns
  整数の乱数を返します

_MIX_DLL_API Float32 Mix::RandF | ( | void |  | ) |

浮動小数点の乱数( 0.0f〜1.0f )を取得します

Returns
  浮動小数点の乱数を返します

_MIX_DLL_API Float32 Mix::RandF | ( | Float32 | maxRnd | ) |

浮動小数点の乱数を取得します

Parameters

  [in] | maxRnd | 取得する乱数の最大値

Returns
  浮動小数点の乱数を返します

_MIX_DLL_API Float32 Mix::RandF | ( | Float32 | r0,
|  | Float32 | r1
| ) |  |

浮動小数点の乱数を取得します

Parameters

  [in] | r0 | 取得する乱数の開始値
  [in] | r1 | 取得する乱数の終了値

Returns
  浮動小数点の乱数を返します

_MIX_DLL_API Float32 Mix::LerpF | ( | Float32 | a,
|  | Float32 | b,
|  | Float32 | t
| ) |  |

浮動小数点の線形補間をします

Parameters

  [in] | a | 補間元
  [in] | b | 補間先
  [in] | t | 補間係数( 0.0f〜1.0f )

Returns
  補間された浮動小数点を返します

_MIX_DLL_API void Mix::PlaneSpace | ( | const Mix::Vector3 & | n,
|  | Mix::Vector3 & | p,
|  | Mix::Vector3 & | q
| ) |  |

指定されたベクトルから２本の垂直なベクトルを求めます

Parameters

  [in] | n | 入力ベクトルを表す Mix::Vector3 クラス
  [out] | p | 出力ベクトル１を表す Mix::Vector3 クラス
  [out] | q | 出力ベクトル２を表す Mix::Vector3 クラス

_MIX_DLL_API Mix::Quaternion Mix::ShortestArc | ( | const Mix::Vector3 & | v0,
|  | const Mix::Vector3 & | v1
| ) |  |

指定された直行する２本のベクトルから最短の回転を求めます

Parameters

  [in] | v0 | 一つ目のベクトルを表す Mix::Vector3 クラス
  [in] | v1 | 二つ目のベクトルを表す Mix::Vector3 クラス

Returns
  回転を表す Mix::Quaternion クラスを返します

_MIX_DLL_API Mix::Vector3 Mix::Project | ( | const Mix::Matrix4x4 & | viewMat,
|  | const Mix::Matrix4x4 & | projMat,
|  | const Mix::Vector3 & | worldPos,
|  | const Mix::Vector2 & | screenSize
| ) |  |

ワールド座標をスクリーン座標へ変換します

Parameters

  [in] | viewMat | ビュー行列を表す Mix::Matrix4x4 クラス
  [in] | projMat | 射影行列を表す Mix::Matrix4x4 クラス
  [in] | worldPos | ワールド座標を表す Mix::Vector3 クラス
  [in] | screenSize | スクリーンのサイズを表す Mix::Vector2 クラス

Returns
  スクリーン座標を表す Mix::Vector3 クラスを返します

_MIX_DLL_API Mix::Vector3 Mix::Unproject | ( | const Mix::Matrix4x4 & | viewMat,
|  | const Mix::Matrix4x4 & | projMat,
|  | const Mix::Vector3 & | screenPos,
|  | const Mix::Vector2 & | screenSize
| ) |  |

スクリーン座標をワールド座標へ変換します

Parameters

  [in] | viewMat | ビュー行列を表す Mix::Matrix4x4 クラス
  [in] | projMat | 射影行列を表す Mix::Matrix4x4 クラス
  [in] | screenPos | スクリーン座標( z は射影空間の値 0.0f 〜 1.0f )を表す Mix::Vector3 クラス
  [in] | screenSize | スクリーンのサイズを表す Mix::Vector2 クラス

Returns
  ワールド座標を表す Mix::Vector3 クラスを返します